import { ConversationSelector } from "../";
export declare class SelectAll implements ConversationSelector {
    select(): string[];
    unselect(): string[];
}
export declare class SelectPart implements ConversationSelector {
    private readonly partList;
    constructor(partList: string[]);
    select(): string[];
    unselect(): string[];
}
export declare class UnSelectPart implements ConversationSelector {
    private readonly unPartList;
    constructor(unPartList: string[]);
    select(): string[];
    unselect(): string[];
}
declare function allOf(): ConversationSelector;
declare function partOf(partList: string[]): ConversationSelector;
declare function unPartOf(unPartList?: string[]): ConversationSelector;
declare const _default: {
    allOf: typeof allOf;
    partOf: typeof partOf;
    unPartOf: typeof unPartOf;
};
export default _default;
